Index: /trunk/workflow/js/orgchart/organization.js
===================================================================
--- /trunk/workflow/js/orgchart/organization.js	(revision 7379)
+++ /trunk/workflow/js/orgchart/organization.js	(revision 8094)
@@ -736,5 +736,5 @@
 	content += '<input type="hidden" name="funcionario_id" id="funcionario_id" value="" />';
 	content += '<input type="input" name="funcionario_id_desc" id="funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'funcionario_id\', \'uid=1&hidegroups=1\');" id="addEmployeeLink"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'funcionario_id\', \'uid=1&hidegroups=1\');" id="addEmployeeLink"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += '</td></tr>';
 	content += '<tr><td><label for="funcionario_status_id">Status</label></td><td id="comboStatus"><i>carregando</i></td></tr>';
@@ -801,5 +801,5 @@
 	content += '<input type="hidden" name="titular_funcionario_id" id="titular_funcionario_id" value="" />';
 	content += '<input type="input" name="titular_funcionario_id_desc" id="titular_funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'titular_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'titular_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += ' <a href="javascript:void(0)" onclick="$(\'titular_funcionario_id\').value=\'\'; $(\'titular_funcionario_id_desc\').value=\'\'; return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/delete_user.png" /></a>';
 	content += '</td></tr>';
@@ -807,5 +807,5 @@
 	content += '<input type="hidden" name="auxiliar_funcionario_id" id="auxiliar_funcionario_id" value="" />';
 	content += '<input type="input" name="auxiliar_funcionario_id_desc" id="auxiliar_funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'auxiliar_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'auxiliar_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += ' <a href="javascript:void(0)" onclick="$(\'auxiliar_funcionario_id\').value=\'\'; $(\'auxiliar_funcionario_id_desc\').value=\'\'; return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/delete_user.png" /></a>';
 	content += '</td></tr>';
@@ -882,5 +882,5 @@
 	content += '<input type="hidden" name="substituto_funcionario_id" id="substituto_funcionario_id" value="" />';
 	content += '<input type="input" name="substituto_funcionario_id_desc" id="substituto_funcionario_id_desc" value="" readonly="true" size="40" />';
-	content += '<a href="javascript:void(0)" onclick="openParticipants(\'substituto_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
+	content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'substituto_funcionario_id\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png" /></a>';
 	content += ' <a href="javascript:void(0)" onclick="$(\'substituto_funcionario_id\').value=\'\'; $(\'substituto_funcionario_id_desc\').value=\'\'; return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/delete_user.png" /></a>';
 	content += '</td></tr>';
Index: /trunk/workflow/js/adminaccess/control_folder.js
===================================================================
--- /trunk/workflow/js/adminaccess/control_folder.js	(revision 3255)
+++ /trunk/workflow/js/adminaccess/control_folder.js	(revision 8094)
@@ -416,5 +416,5 @@
 	bt.setAttribute('name','Selecionar');
 	bt.setAttribute('value','Selecionar');
-	bt.onclick = function() { openParticipants('sel_org_user', 'hidegroups=1'); };
+	bt.onclick = function() { openParticipantsWindow('sel_org_user', 'hidegroups=1'); };
 	td.appendChild(bt);
 
@@ -575,5 +575,5 @@
 	bt.setAttribute('name','Selecionar');
 	bt.setAttribute('value','Selecionar');
-	bt.onclick = function() { openParticipants('sel_proc_user', ''); };
+	bt.onclick = function() { openParticipantsWindow('sel_proc_user', ''); };
 	td.appendChild(bt);
 
@@ -726,5 +726,5 @@
 	bt.setAttribute('name','Selecionar');
 	bt.setAttribute('value','Selecionar');
-	bt.onclick = function() { openParticipants('sel_mon_user', ''); };
+	bt.onclick = function() { openParticipantsWindow('sel_mon_user', ''); };
 	td.appendChild(bt);
 
@@ -785,5 +785,5 @@
 	content += '<td align="right"><input type="button" name="Remover" value="Remover" onclick="deleteExternalApplicationAdmin();"/></td>';
 	content += '<td></td>';
-	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipants(\'sel_exa_user\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'sel_exa_user\');"/></td>';
+	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipantsWindow(\'sel_exa_user\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'sel_exa_user\');"/></td>';
 	content += '</tr>';
 	content += '<tr><td colspan="3"></td></tr>';
@@ -849,5 +849,5 @@
 	content += '<td align="right"><input type="button" name="Remover" value="Remover" onclick="deleteWorkflowAdministrators();"/></td>';
 	content += '<td></td>';
-	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipants(\'selectWorkflowUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectWorkflowUsers\');"/></td>';
+	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipantsWindow(\'selectWorkflowUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectWorkflowUsers\');"/></td>';
 	content += '</tr>';
 	content += '<tr><td colspan="3"></td></tr>';
@@ -901,5 +901,5 @@
 	content += '<td align="right"><input type="button" name="Remover" value="Remover" onclick="deleteDevelopmentAdministrators();"/></td>';
 	content += '<td></td>';
-	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipants(\'selectDevelopmentUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectDevelopmentUsers\');"/></td>';
+	content += '<td align="right"><input type="button" name="Selecionar" value="Selecionar" onclick="openParticipantsWindow(\'selectDevelopmentUsers\', \'\')"/><input type="button" name="Remover" value="Remover" onclick="del_selected_reg(\'selectDevelopmentUsers\');"/></td>';
 	content += '</tr>';
 	content += '<tr><td colspan="3"></td></tr>';
Index: /trunk/workflow/js/monitors/processes.js
===================================================================
--- /trunk/workflow/js/monitors/processes.js	(revision 795)
+++ /trunk/workflow/js/monitors/processes.js	(revision 8094)
@@ -101,5 +101,5 @@
 				content += '<td><input type="hidden" name="newUser" id="newUser" value="" />';
 				content += '<input type="input" name="newUser_desc" id="newUser_desc" value="" readonly="true" size="32" />';
-				content += '<a href="javascript:void(0)" onclick="openParticipants(\'newUser\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png"/></a></td></tr>';
+				content += '<a href="javascript:void(0)" onclick="openParticipantsWindow(\'newUser\', \'uid=1&hidegroups=1\');"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/add_user.png"/></a></td></tr>';
 				content += '<tr><td colspan="2"><button onclick="clickLoadActivities(' + pid + ');return false;">Próximo >></button></td></tr></table>';
 				content += '</td>';
Index: /trunk/workflow/templates/default/admin_roles.tpl
===================================================================
--- /trunk/workflow/templates/default/admin_roles.tpl	(revision 795)
+++ /trunk/workflow/templates/default/admin_roles.tpl	(revision 8094)
@@ -123,7 +123,7 @@
 				</select>
 			</td><td valign=center align=center>
-				<a href='javascript:void(0)' onclick="openParticipants('user_list', 'entities=ug&usePreffix=1');"><img border=0 src={src_img_add_users}></a>
+				<a href='javascript:void(0)' onclick="openParticipantsWindow('user_list', 'entities=ug&usePreffix=1');"><img border=0 src={src_img_add_users}></a>
 				<br>
-				<a href='javascript:void(0)' onclick="openParticipants('user_list', 'entities=ug&usePreffix=1');">{lang_Add}</a>
+				<a href='javascript:void(0)' onclick="openParticipantsWindow('user_list', 'entities=ug&usePreffix=1');">{lang_Add}</a>
 				<br><br>
 				<a href="javascript:void(0)" onclick="participantsRemoveUser(document.getElementById('user_list'));"><img border=0 src={src_img_del_users}></a>
Index: /trunk/workflow/templates/default/admin_activities.tpl
===================================================================
--- /trunk/workflow/templates/default/admin_activities.tpl	(revision 1710)
+++ /trunk/workflow/templates/default/admin_activities.tpl	(revision 8094)
@@ -178,5 +178,5 @@
 			<div id="div_default_user_option_0" style="display:none;">
 				<input type="input" name="default_user_desc" id="default_user_desc" value="{wf_default_user_desc}" readonly="true" size="40" />
-				<a href="javascript:void(0)" onclick="openParticipants('default_user', 'uid=1&hidegroups=1');"><img border="0" src="workflow/templateFile.php?file=images/add_user.png" /></a>
+				<a href="javascript:void(0)" onclick="openParticipantsWindow('default_user', 'uid=1&hidegroups=1');"><img border="0" src="workflow/templateFile.php?file=images/add_user.png" /></a>
 				<button onclick="document.getElementById('default_user_desc').value=''; document.getElementById('default_user').value='*'; return false">{lang_without_default_user}</button>
 				<br>