Index: /trunk/expressoMail1_2/templates/default/index.tpl
===================================================================
--- /trunk/expressoMail1_2/templates/default/index.tpl	(revision 7553)
+++ /trunk/expressoMail1_2/templates/default/index.tpl	(revision 8108)
@@ -209,4 +209,5 @@
 <div class="expressomail-module-container" style="display: none;"></div>
 <div id="importEmails" style="display:none;padding:5px;"></div>
+<div id="importEmailsLocal" style="display:none;padding:5px;"></div>
 <div id="sendFileMessages" style="display:none;"></div>
 <div id="quickAddContact" style="display:none;"></div>
Index: /trunk/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7948)
+++ /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 8108)
@@ -977,2 +977,3 @@
 take on this option to regard the message body in the search.	expressoMail1_2	pt-br	Considerar o corpo da mensagem como filtro na busca
 take off this option to disregard the message body in the search.	expressoMail1_2	pt-br	Desconsiderar o corpo da mensagem como filtro na busca
+Local Archive	expressoMail1_2	pt-br	Arquivamento Local 
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 8096)
+++ /trunk/expressoMail1_2/js/main.js	(revision 8108)
@@ -4883,5 +4883,53 @@
 								 			write_msg(get_lang('You must wait while the messages will be imported...'));
 											
-								 			cExecuteForm('$this.imap_functions.import_msgs', formSend , handler_return );
+											var local_folder = input_hidden.attr("value"); //recupera a pasta selecionada
+											if(local_folder.indexOf("local_") == 0){ //verifica se a pasta selecionada é uma pasta local
+
+												var fdata = local_folder.substr(15, local_folder.length); //recupera somente a estrutura da pasta ou o id
+												expresso_mail_archive.getFolderInfo(fdata); //recuperar a estrutura da pasta, 
+																							//para realizar a importação de mensagens
+												fdata = expresso_mail_archive.folder.path;
+
+												//o mailarchiver não provê um serviço para a importação de mensagens nas pastas locais,
+												//mas sim uma modal, da qual são extraídas as informações e as urls para submitar os dados
+												//para o arquivamento de mensagens em pastas locais.
+												var url_src = mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port + '/arcserv/import?prt=' + mail_archive_protocol + '&por=' + mail_archive_port+ '&fid='+ encodeURIComponent(fdata) + '&sid=' + expresso_mail_archive.session.id;
+												var _html = DataLayer.render(url_src);
+												var regex_url = RegExp('\<iframe(.)*src=\"([^\"]*)"(.)*\>');
+												var obj_params = $.parseQuery( regex_url.exec(_html)[2].split('?')[1] || '' );
+												$(formSend).append('<input id="ma_import_flat" type="checkbox" value="false" name="flat" style="display:none"> ' +
+													'<input id="sessionId" type="hidden" value="'+obj_params['sessvalue']+'" name="sessionId">' +
+													'<input id="base" type="hidden" value="'+obj_params['basevalue']+'" name="base">' +
+													'<input id="lang" type="hidden" value="'+obj_params['langvalue']+'" name="lang">');
+
+												var importEmailsLocalDialog = $('#importEmailsLocal');
+												importEmailsLocalDialog.css("overflow","hidden");
+												importEmailsLocalDialog.dialog(
+												{
+													height		: 200,
+													width		: 350,
+													resizable	: false,
+													title		: get_lang('Local Archive'),
+													modal		: true,
+													buttons		: [
+																	 {
+																	 	text	: get_lang("Close"), 
+																	 	click	: function()
+																	 	{
+																	 		importEmailsLocalDialog.dialog("close").dialog("destroy");
+																	 	}
+																	 }
+																]
+												});
+
+												importEmailsLocalDialog.html('<iframe frameborder="0" scrolling="no" id="frameResult" name="frameResult" ></iframe>')
+												$(formSend).attr("action", mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port + '/arcserv/import');
+												$(formSend).attr("target", "frameResult");
+												$(formSend).submit();
+
+											} else {
+												cExecuteForm('$this.imap_functions.import_msgs', formSend , handler_return );
+											}
+
 								 		}
 							 		}
@@ -4942,5 +4990,5 @@
 	var foldersTree = jQuery("#foldertree-container-importMessage")
 	.removeClass('empty-container')
-	.html(DataLayer.render(BASE_PATH + 'api/templates/foldertree.ejs', {folders: [cp_tree1, cp_tree2, [] ]}))
+	.html(DataLayer.render(BASE_PATH + 'api/templates/foldertree.ejs', {folders: [cp_tree1, cp_tree2, cp_tree3, [] ]}))
 	.find("#foldertree").treeview()
 	.click(function(event)