Index: /branches/2.5/prototype/modules/mail/templates/detailedfoldertree.ejs
===================================================================
--- /branches/2.5/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 8101)
+++ /branches/2.5/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 8113)
@@ -5,5 +5,5 @@
 			Inbox: {name:'Caixa de Entrada', classe:'inbox'}, 
 		};
-    specialFolders[outboxfolder] = {name: 'Caixa de Sa&iacuteda', classe:'outbox'};
+    specialFolders[outboxfolder] = {name: 'Caixa de Saída', classe:'outbox'};
 	specialFolders[trashfolder] = {name:'Lixeira', classe:'trash'};
 	specialFolders[draftsfolder] = {name:'Rascunhos', classe:'drafts'};
Index: /branches/2.5/prototype/api/templates/foldertree.ejs
===================================================================
--- /branches/2.5/prototype/api/templates/foldertree.ejs	(revision 5341)
+++ /branches/2.5/prototype/api/templates/foldertree.ejs	(revision 8113)
@@ -3,9 +3,10 @@
 			INBOX: {name:'Caixa de Entrada', classe:'inbox'}, 
 			Inbox: {name:'Caixa de Entrada', classe:'inbox'}, 
-			Trash: {name:'Lixeira', classe:'trash'}, 
-			Drafts:{name:'Rascunhos', classe:'drafts'}, 
-			Spam:  {name:'Spam', classe:'spam'}, 
-			Sent:  {name:'Enviados', classe:'sent'}
 		};
+    specialFolders[outboxfolder] = {name: 'Caixa de Saída', classe:'outbox'}; 
+        specialFolders[trashfolder] = {name:'Lixeira', classe:'trash'}; 
+        specialFolders[draftsfolder] = {name:'Rascunhos', classe:'drafts'}; 
+        specialFolders[spamfolder] = {name:'Spam', classe:'spam'}; 
+        specialFolders[sentfolder] = {name:'Enviados', classe:'sent'}; 
 
 	function recursive_forest(array_trees)
Index: /branches/2.5/expressoMail1_2/templates/default/index.tpl
===================================================================
--- /branches/2.5/expressoMail1_2/templates/default/index.tpl	(revision 7553)
+++ /branches/2.5/expressoMail1_2/templates/default/index.tpl	(revision 8113)
@@ -209,4 +209,5 @@
 <div class="expressomail-module-container" style="display: none;"></div>
 <div id="importEmails" style="display:none;padding:5px;"></div>
+<div id="importEmailsLocal" style="display:none;padding:5px;"></div> 
 <div id="sendFileMessages" style="display:none;"></div>
 <div id="quickAddContact" style="display:none;"></div>
Index: /branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7703)
+++ /branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 8113)
@@ -973,2 +973,3 @@
 Error trying to send the message. Retry in a few seconds...	expressoMail1_2	pt-br	Erro ao tentar enviar a mensagem. Nova tentativa em alguns segundos...
 Sending the message...	expressoMail1_2	pt-br	Enviando a mensagem...
+Local Archive	expressoMail1_2	pt-br	Arquivamento Local
Index: /branches/2.5/expressoMail1_2/js/main.js
===================================================================
--- /branches/2.5/expressoMail1_2/js/main.js	(revision 8085)
+++ /branches/2.5/expressoMail1_2/js/main.js	(revision 8113)
@@ -4842,5 +4842,56 @@
 								 			write_msg(get_lang('You must wait while the messages will be imported...'));
 											
-								 			cExecuteForm('$this.imap_functions.import_msgs', formSend , handler_return );
+                                                                                        var local_folder = input_hidden.attr("value"); //recupera a pasta selecionada 
+                                                                                        if(local_folder.indexOf("local_") == 0){ //verifica se a pasta selecionada é uma pasta local 
+ 
+                                                                                                var fdata = local_folder.substr(15, local_folder.length); //recupera somente a estrutura da pasta ou o id 
+                                                                                                expresso_mail_archive.getFolderInfo(fdata); //recuperar a estrutura da pasta,  
+                                                                                                                                                                                        //para realizar a importação de mensagens 
+                                                                                                fdata = expresso_mail_archive.folder.path; 
+ 
+                                                                                                //o mailarchiver não provê um serviço para a importação de mensagens nas pastas locais, 
+                                                                                                //mas sim uma modal, da qual são extraídas as informações e as urls para submitar os dados 
+                                                                                                //para o arquivamento de mensagens em pastas locais. 
+                                                                                                var url_src = mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port + '/arcserv/import?prt=' + mail_archive_protocol + '&por=' + mail_archive_port+ '&fid='+ encodeURIComponent(fdata) + '&sid=' + expresso_mail_archive.session.id; 
+                                                                                                var _html = DataLayer.render(url_src); 
+                                                                                                var regex_url = RegExp('\<iframe(.)*src=\"([^\"]*)"(.)*\>'); 
+                                                                                                var obj_params = $.parseQuery( regex_url.exec(_html)[2].split('?')[1] || '' ); 
+                                                                                                $(formSend).append('<input id="ma_import_flat" type="checkbox" value="false" name="flat" style="display:none"> ' + 
+                                                                                                        '<input id="sessionId" type="hidden" value="'+obj_params['sessvalue']+'" name="sessionId">' + 
+                                                                                                        '<input id="base" type="hidden" value="'+obj_params['basevalue']+'" name="base">' + 
+                                                                                                        '<input id="lang" type="hidden" value="'+obj_params['langvalue']+'" name="lang">'); 
+ 
+                                                                                                var importEmailsLocalDialog = $('#importEmailsLocal'); 
+                                                                                                importEmailsLocalDialog.css("overflow","hidden"); 
+                                                                                                importEmailsLocalDialog.dialog( 
+                                                                                                { 
+                                                                                                        autoOpen    : false, 
+                                                                                                        height          : 200, 
+                                                                                                        width           : 350, 
+                                                                                                        resizable       : false, 
+                                                                                                        title           : get_lang('Local Archive'), 
+                                                                                                        modal           : true, 
+                                                                                                        buttons         : [ 
+                                                                                                                                         { 
+                                                                                                                                                text    : get_lang("Close"),  
+                                                                                                                                                click   : function() 
+                                                                                                                                                { 
+                                                                                                                                                        importEmailsLocalDialog.dialog("close").dialog("destroy"); 
+                                                                                                                                                } 
+                                                                                                                                         } 
+                                                                                                                                ] 
+                                                                                                }); 
+ 
+                                                                                                importEmailsLocalDialog.html('<iframe frameborder="0" scrolling="no" id="frameResult" name="frameResult" ></iframe>') 
+                                                                                                $(formSend).attr("action", mail_archive_protocol + '://' + mail_archive_host + ':' + mail_archive_port + '/arcserv/import'); 
+                                                                                                $(formSend).attr("target", "frameResult"); 
+                                                                                                $(formSend).submit(); 
+                                                                                                importEmailsLocalDialog.dialog( "open" );
+ 												if(typeof(shortcut) != 'undefined')
+													shortcut.disabled = false;
+                                                                                        } else { 
+                                                                                                cExecuteForm('$this.imap_functions.import_msgs', formSend , handler_return ); 
+                                                                                        } 
+ 
 								 		}
 							 		}
@@ -4901,5 +4952,5 @@
 	var foldersTree = jQuery("#foldertree-container-importMessage")
 	.removeClass('empty-container')
-	.html(DataLayer.render(BASE_PATH + 'api/templates/foldertree.ejs', {folders: [cp_tree1, cp_tree2, [] ]}))
+	.html(DataLayer.render(BASE_PATH + 'api/templates/foldertree.ejs', {folders: [cp_tree1, cp_tree2, cp_tree3, [] ]}))
 	.find("#foldertree").treeview()
 	.click(function(event)