Index: /branches/2.5/prototype/modules/mail/js/foldertree.js
===================================================================
--- /branches/2.5/prototype/modules/mail/js/foldertree.js	(revision 8106)
+++ /branches/2.5/prototype/modules/mail/js/foldertree.js	(revision 8117)
@@ -322,12 +322,5 @@
             $(this).removeClass("folder-over");
 
-            if ($(ui.draggable[0]).parent().find("input").val() == "localFolder" && $(this).parents("li").find("input").first().val() != "localFolder"){
-                return write_msg(get_lang("Ohh no, it isn't possible to send a folder by Archiver to My folders"));
-            } else if ( !$(ui.draggable[0]).parent().find("input").val() &&  $(this).parents("li").find("input").first().val() == "localFolder") {
-                return write_msg(get_lang("Ohh no, it isn't possible to send a folder by My folders to Archiver"));
-            }
-            
             if($(this).parent().attr('id') == undefined){
-
                 var folder_to = 'INBOX';
                 var to_folder_title = get_lang("Inbox");
@@ -365,4 +358,12 @@
             // SE O DROP VIER DA LISTA DE PASTAS
             else{
+				if($(ui.draggable[0]).parent().find("input").val() == "localFolder" && $(this).parents("li").find("input").first().val() != "localFolder") 
+                { 
+                    return write_msg(get_lang("It isn't possible to send a folder by Archiver to My folders")); 
+                } 
+                else if(!$(ui.draggable[0]).parent().find("input").val() && $(this).parents("li").find("input").first().val() == "localFolder") 
+                { 
+                    return write_msg(get_lang("It isn't possible to send a folder by My folders to Archiver")); 
+                } 
                 var folder_to_exist = folder_to_move.split(cyrus_delimiter);    
                 folder_to_exist = folder_to+cyrus_delimiter+folder_to_exist[folder_to_exist.length-1];
Index: /branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 8113)
+++ /branches/2.5/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 8117)
@@ -397,6 +397,6 @@
 Notification	expressoMail1_2	pt-br	Notificação
 Filter criteria	expressoMail1_2	pt-br	Critério de filtro
-Ohh no, it isn't possible to send a folder by Archiver to My folders	expressoMail1_2	pt-br	Ohh não, não é possível enviar uma pasta das Pastas locais para as Minhas pastas
-Ohh no, it isn't possible to send a folder by My folders to Archiver	expressoMail1_2	pt-br	Ohh não, não é possível enviar uma pasta das Minhas pastas para as Pastas locais
+It isn't possible to send a folder by Archiver to My folders	expressoMail1_2	pt-br	Não é possível enviar uma pasta das Pastas locais para as Minhas pastas
+It isn't possible to send a folder by My folders to Archiver	expressoMail1_2	pt-br	Não é possível enviar uma pasta das Minhas pastas para as Pastas locais
 Offline Pass	expressoMail1_2	pt-br	Senha do Offline
 Offline success installed	expressoMail1_2	pt-br	Offline instalado com sucesso
Index: /branches/2.5/expressoMail1_2/js/doiMenuData.js
===================================================================
--- /branches/2.5/expressoMail1_2/js/doiMenuData.js	(revision 8115)
+++ /branches/2.5/expressoMail1_2/js/doiMenuData.js	(revision 8117)
@@ -156,8 +156,9 @@
                     return true;
                 }
-                if( current.indexOf("local") != -1){
-                   archive = {"name": get_lang("Unarchive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.unarchive_message('inbox', 'get_selected_messages'); }}
+                if( current.indexOf("local") == -1){ 
+                    archive = {"name": get_lang("Archive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.archive_message('inbox', 'get_selected_messages'); }} 
+                    
                 } else { 
-                    archive = {"name": get_lang("Archive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.unarchive_message('inbox', 'get_selected_messages'); }} 
+                    archive = {"name": get_lang("Unarchive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.unarchive_message('inbox', 'get_selected_messages'); }} 
                 }
                 var itensNotLocal = {