Index: /trunk/expressoMail1_2/js/mail_archiver.js
===================================================================
--- /trunk/expressoMail1_2/js/mail_archiver.js	(revision 8118)
+++ /trunk/expressoMail1_2/js/mail_archiver.js	(revision 8121)
@@ -1460,4 +1460,7 @@
         if(folderId == 'local_root')
             folderId = "";
+        var exp_verifyId = RegExp("^messages\_[0-9|a-z]+\-[0-9|a-z|\-]+$");
+        if(exp_verifyId.test(folderId))
+            folderId = folderId.replace("messages_", "");
         ArchiveServices.getFolderInfo(expresso_mail_archive.getFolderInfoOperationOK, expresso_mail_archive.getFolderInfoOperationFailure, expresso_mail_archive.session.id, folderId);
     }
@@ -1526,4 +1529,5 @@
 MailArchiver.prototype.listMessages = function(folderId){
     try{
+/ 
         connector.showProgressBar();
         var getcurrent = get_current_folder();       
@@ -1535,7 +1539,9 @@
             folderid = this.currentfolder;    
         }
-        
         var objfolder = new Object();
-        objfolder.folder = folderid; 
+        var exp_verifyId = RegExp("^messages\_[0-9|a-z]+\-[0-9|a-z|\-]+$");
+        if(exp_verifyId.test(folderid))
+            folderid = folderid.replace("messages_", "");
+        objfolder.folder = folderid;
         //var testing_data_xml = '<?xml version="1.0" encoding="UTF-8"?><query lowerIndex="0" upperIndex="50"><folder id="'+folderid+'"/><order asc="date"/><order desc="subject"/></query>';
         //var testing_data_json_mapped = '{"query":{"@lowerIndex":"0", "@upperIndex":"50", "folder":[{"@id":"'+folderid+'"}], "order":[{"@asc":"date", "@desc":"subject"}]}}';
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 8119)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 8121)
@@ -2054,5 +2054,5 @@
 						}
 					}
-				}else if(headers_msgs.from !== undefined){
+				}else if(headers_msgs.from !== undefined && headers_msgs.from !== null){
 				spanSender.innerHTML =  headers_msgs.from.name != null ? headers_msgs.from.name : headers_msgs.from.email;
 				}
@@ -3003,5 +3003,5 @@
 		//var option_mark_as_important			= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
 		//var option_mark_as_normal				= '<span class="message_options" onclick="proxy_mensagens.proxy_set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span> | ';
-		var block_user = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick ="block_user_email(\''+info_msg.from.email+'\');">'+get_lang("Block Sender")+'</span> | ';	
+		var block_user = '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick ="block_user_email(\''+(info_msg.from ? info_msg.from.email : "" )+'\');">'+get_lang("Block Sender")+'</span> | ';	
 		//var option_forward = '<span onclick="new_message(\'forward\',\''+ ID+'\');" onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options">'+get_lang("Forward")+'</span> | ';
 		var option_move	= '<span onmouseover="this.className=\'reply_options_active\'" onmouseout="this.className=\'reply_options\'" class="reply_options" onclick=wfolders.makeWindow("'+ID+'","move_to");>'+get_lang("Move")+'</span> | ';
@@ -5882,5 +5882,4 @@
     if(preferences.use_local_messages==1){
         if(expresso_mail_archive.enabled){
-            console.log(2);
            if(proxy_mensagens.is_local_folder(current_folder))//Unarchive link
              span_options.innerHTML += '&nbsp; <span title="'+get_lang("Unarchive")+'" class="message_options" onclick="verifyContext(\'unarchive\')">'+get_lang("Unarchive")+'</span>';