Index: /trunk/expressoMail1_2/js/wfolders.js
===================================================================
--- /trunk/expressoMail1_2/js/wfolders.js	(revision 8074)
+++ /trunk/expressoMail1_2/js/wfolders.js	(revision 8130)
@@ -48,5 +48,6 @@
 										 	click	: function()
 										 	{
-												winSaveFile.dialog("close"),dialog("destroy");
+												winSaveFile.dialog("close");
+                                                winSaveFile.dialog("destroy");
 										 	}
 										 },
@@ -134,6 +135,19 @@
 	cWFolders.prototype.makeWindow = function(border_id, type)
 	{
-        var selected_msg = get_selected_messages();
-        if (parseInt(selected_msg) > 0 || selected_msg.length > 0){
+        if(type == "move_to"){
+            if( (currentTab != 0) && (currentTab.indexOf("search") >= 0)){
+                if(typeof (currentTab) == "string" && currentTab.indexOf("local") != -1){
+                    alert("Impossível manipular mensagens locais a partir de uma busca. Isso é permitido apenas para mensagens não locais.");
+                    return true;
+                }
+                this.load( border_id, type, false);
+            } else{
+                var selected_msg = get_selected_messages();
+                if ((parseInt(selected_msg) > 0 || selected_msg.length > 0)||(type != "move_to")){
+                    this.load( border_id, type, false);
+                }else
+                    write_msg(get_lang('No selected message.'));
+            }
+        }else {
             if(typeof (currentTab) == "string" && currentTab.indexOf("local") != -1){
                 alert("Impossível manipular mensagens locais a partir de uma busca. Isso é permitido apenas para mensagens não locais.");
@@ -141,6 +155,5 @@
             }
             this.load( border_id, type, false);
-        }else
-            write_msg(get_lang('No selected message.'));
+        }
     }
 	
Index: /trunk/expressoMail1_2/js/doiMenuData.js
===================================================================
--- /trunk/expressoMail1_2/js/doiMenuData.js	(revision 8123)
+++ /trunk/expressoMail1_2/js/doiMenuData.js	(revision 8130)
@@ -142,9 +142,4 @@
     function loadMenu(){
         var archive = "";
-        if(use_local_messages != 0){
-            archive = {"name": get_lang("Archive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.archive_message('inbox', 'get_selected_messages'); }}
-        }else{
-            archive = "";
-        }
     	var labelItems = getLabels();
         var revertSortBox = function(){
@@ -158,10 +153,12 @@
                     return true;
                 }
-                if( current.indexOf("local") == -1){
-                    archive = {"name": get_lang("Archive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.archive_message(get_current_folder(), 'get_selected_messages'); }}
-                   
-                } else {
-                    archive = {"name": get_lang("Unarchive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.unarchive_message(get_current_folder(), 'get_selected_messages'); }}
-                }
+                if(use_local_messages != 0){
+                    if( current.indexOf("local") != -1){
+                       archive = {"name": get_lang("Unarchive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.unarchive_message('inbox', 'get_selected_messages'); }}
+                    } else {
+                        archive = {"name": get_lang("Archive"), "icon": "archive", callback: function(key, opt){ proxy_mensagens.unarchive_message('inbox', 'get_selected_messages'); }}
+                    }
+                }
+
                 var itensNotLocal = {
                     "label": { "name": get_lang("Labels"), "items": labelItems},
@@ -169,5 +166,5 @@
                     "sep2": "---------"
                 }
-                
+
                 var items= {
                     "flagSeen":      {"name": get_lang("Mark as") + " " + get_lang('seen'), "icon": "seen", callback: function(key, opt){ revertSortBox(); proxy_mensagens.proxy_set_messages_flag('seen','get_selected_messages'); }},