Index: /trunk/expressoMail1_2/inc/class.exporteml.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 7673)
+++ /trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 8135)
@@ -150,55 +150,4 @@
 	}
 
-function export_all_byLocalFolder($params){
-        $error = false;
-
-        if(empty($params['messages'])){
-            $file["empty_folder"] = true;
-        } else {
-            foreach($params['messages'] as $eachMsg){
-               $header = "";
-               $body = "";
-               $tempDir = $this->tempDir;
-
-               $this->get_header_byLocalFolder($eachMsg, $header);
-               $this->get_body_byLocalFolder($eachMsg, $body);
-               $sEMLData    = $this->parseEml($header, $body);
-               $fileName   = $this->createFileEml_by_localFolder($sEMLData, $tempDir,$eachMsg['msg_number']);
-
-               if(!$fileName){
-                   $error = true;
-                   break;
-               } else 
-                   $fileNames .= "\"".$fileName."\" ";
-            }
-
-            $nameFileZip = 'False';         
-            if($fileNames && !$error) {         
-                $nameFileZip = $this->createFileZip($fileNames, $tempDir);
-                ($nameFileZip) ? ($file = $tempDir.'/'.$nameFileZip) : ($file = false);
-            } else 
-                $file = false;
-        }
-       
-       return $file;
-
-}
-
-function get_header_byLocalFolder($eachMsg, &$header){
-    $header = <<<header
-        MIME-Version: 1.0
-        Content-Type: text/html; charset=ISO-8859-1
-        Content-Transfer-Encoding: quoted-printable
-        From: "{$eachMsg['from']['name']}" <{$eachMsg['from']['email']}>
-        To: {$eachMsg['to']['email']}
-        Subject: {$eachMsg['subject']}
-        Message-Id: {$eachMsg['msg_number']}
-        Date: {$eachMsg['date']}
-header;
-}
-
-function get_body_byLocalFolder($eachMsg, &$body){
-    $body = $eachMsg['msg_sample']['body'];
-}
 
 function export_all($params){
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 8133)
+++ /trunk/expressoMail1_2/js/main.js	(revision 8135)
@@ -595,5 +595,5 @@
 		if(Element("border_id_" + id_msg_read)) {
 			alternate_border(id_msg_read);
-			resizeWindow(); 
+			resizeWindow();
 		}
 		else {
@@ -4558,40 +4558,4 @@
 }
 
-function buildExportArchiver(msgsArchive, name_box){
-
-    var hand_export = function(data){
-        if(!data){
-            write_msg(get_lang('Error compressing messages (ZIP). Contact the administrator.'))
-        }else if(data["empty_folder"] || data == "empty_folder"){
-            write_msg(get_lang("The selected folder is empty."));
-        }else
-          download_attachments(null, null, data, null,null, get_current_folder().split("_")[2] +'.zip');
-    }
-
-    var array = new Array();
-
-    for(var i =0; i < msgsArchive.length; i++){
-        eachMsg = {
-                'ContentType' : msgsArchive[i].ContentType,
-                'from' : { 'email' : msgsArchive[i].from.email, 'full' : msgsArchive[i].from.full, 'name' : msgsArchive[i].from.name},
-                'msg_sample' : msgsArchive[i].msg_sample,
-                'subject' : msgsArchive[i].subject,
-                'to' : { 'email' : msgsArchive[i].to.email, 'full' : msgsArchive[i].to.full, 'name' : msgsArchive[i].to.name},
-                'toaddress2' : msgsArchive[i].toaddress2,
-                'msg_number' : msgsArchive[i].msg_number,
-                'date' : new Date(msgsArchive[i].timestamp).toString()  
-        };
-        array.push(eachMsg);
-    }
-
-    $.ajax({
-        type: "POST",
-        url: "controller.php?action=$this.exporteml.export_all_byLocalFolder",
-        data: { folder: name_box, type: "msg_local", messages : array}
-    }).done(function(msg) {
-        hand_export(msg.split('"')[1]);
-    });
-}
-
 function export_all_selected_msgs(){
 	if(get_current_folder().split("_")[0] == "local"){
@@ -4602,6 +4566,4 @@
             expresso_mail_archive.getSomeMsgs([get_selected_messages()]);
         }
-        
-        buildExportArchiver(expresso_mail_archive.getSomeMsg, get_current_folder().split("_")[2]);
 
     } else {