Index: /trunk/INSTALL/debian/squeeze/etc/postfix/main.cf
===================================================================
--- /trunk/INSTALL/debian/squeeze/etc/postfix/main.cf	(revision 7278)
+++ /trunk/INSTALL/debian/squeeze/etc/postfix/main.cf	(revision 8137)
@@ -1,5 +1,6 @@
 # Configuracoes para o Expresso
-myorigin = DOMAIN
-myhostname = DOMAIN
+mydomain = DOMAIN
+myorigin = $mydomain
+myhostname = $mydomain
 biff = no
 
@@ -8,5 +9,5 @@
 
 # A lista de dominios que esta maquina considera seu destino final.
-mydestination = $myhostname, localhost.$mydomain, DOMAIN
+mydestination = $mydomain, $myhostname, expresso.$mydomain
 
 recipient_delimiter = + 
Index: /trunk/INSTALL/arquivos/expresso-cron
===================================================================
--- /trunk/INSTALL/arquivos/expresso-cron	(revision 7700)
+++ /trunk/INSTALL/arquivos/expresso-cron	(revision 8137)
@@ -5,6 +5,6 @@
 
 # Utilizado para verificar se ha algum alarme, por e-mail, do modulo ExpressoCalendar
-#CENTOS*/1 * 	* * *	apache	 php	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 
-#DEBIAN*/1 * 	* * *	www-data php5	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 
+#CENTOS*/1 * 	* * *	apache	 php	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 1>& /dev/null
+#DEBIAN*/1 * 	* * *	www-data php5	EXPRESSO_DIR/prototype/modules/calendar/alarms.php 1>& /dev/null
 
 # Utilizado para limpar a tabela, temporaria, que contem os e-mails (rascunhos) antes de
@@ -19,7 +19,9 @@
 # Utilizado para limpar os arquivos de sessao do PHP
 #*/31 *  * * *   root                    find /dev/shm -type f -name "sess_*" -cmin 240 -print0 | xargs -n 200 -r -0 rm
+*/31 *  * * *   root                    find /dev/shm -type f -name "sess_*" -cmin +240 -delete
 
 # Utilizado para limpar os arquivos, eml, criados ao exportar mensagens
-13 */4 * * * root			find /tmp/ -iname "*.eml" -amin +60 -exec rm -f '{}' \;
+#13 */4 * * * root			find /tmp/ -iname "*.eml" -amin +60 -exec rm -f '{}' \;
+13 */4 	* * * root			find /tmp/ -iname "*.eml" -cmin +60 -delete
 
 #
Index: /trunk/INSTALL/arquivos/scripts/http.sh
===================================================================
--- /trunk/INSTALL/arquivos/scripts/http.sh	(revision 7619)
+++ /trunk/INSTALL/arquivos/scripts/http.sh	(revision 8137)
@@ -111,7 +111,8 @@
 	yum -y install httpd mod_ssl \
 		php php-cli php-ldap php-pgsql php-imap php-mbstring php-gd php-xml \
-		php-pecl-memcache graphviz-php php-pspell \
+		php-pecl-memcache php-pspell \
 		unzip zip memcached libmemcached \
 		php-soap php-process # para o zpush
+		#graphviz-php \ # problema com o PHP-5.4
 
 	# para que o yuicompressor funcione
@@ -122,4 +123,5 @@
 
 	chkconfig httpd on
+	chkconfig memcached on
 
 	# Ativa o script do CRON para o RedHat e similares
Index: /trunk/INSTALL/rhel/6/var/lib/pgsql/data/postgresql.conf
===================================================================
--- /trunk/INSTALL/rhel/6/var/lib/pgsql/data/postgresql.conf	(revision 5797)
+++ /trunk/INSTALL/rhel/6/var/lib/pgsql/data/postgresql.conf	(revision 8137)
@@ -484,8 +484,4 @@
 #backslash_quote = safe_encoding	# on, off, or safe_encoding
 #default_with_oids = off
-# Necessario para o Expresso
-standard_conforming_strings = off
-#bytea_output = 'escape'
-# Necessario para o Expresso
 #escape_string_warning = on
 #regex_flavor = advanced		# advanced, extended, or basic
@@ -494,4 +490,8 @@
 #synchronize_seqscans = on
 
+# Necessario para o Expresso
+standard_conforming_strings = off
+bytea_output = 'escape'
+
 # - Other Platforms and Clients -
 
Index: /trunk/INSTALL/rhel/6/etc/cyrus.conf
===================================================================
--- /trunk/INSTALL/rhel/6/etc/cyrus.conf	(revision 7699)
+++ /trunk/INSTALL/rhel/6/etc/cyrus.conf	(revision 8137)
@@ -7,7 +7,4 @@
   # this is only necessary if using idled for IMAP IDLE
   idled		cmd="idled"
-
-  # this is recommended if using duplicate delivery suppression
-  delprune        cmd="/usr/lib/cyrus-imapd/ctl_deliver -E 3"
 }
 
@@ -37,7 +34,4 @@
   checkpoint	cmd="ctl_cyrusdb -c" period=30
 
-  # this is only necessary if using duplicate delivery suppression
-  delprune        cmd="/usr/lib/cyrus-imapd/ctl_deliver -E 3" at=0401
-
   # this is only necessary if using duplicate delivery suppression,
   # Sieve or NNTP
Index: /trunk/INSTALL/rhel/6/etc/postfix/main.cf
===================================================================
--- /trunk/INSTALL/rhel/6/etc/postfix/main.cf	(revision 7278)
+++ /trunk/INSTALL/rhel/6/etc/postfix/main.cf	(revision 8137)
@@ -1,5 +1,6 @@
 # Configuracoes para o Expresso
-myorigin = DOMAIN
-myhostname = DOMAIN
+mydomain = DOMAIN
+myorigin = $mydomain
+myhostname = $mydomain
 biff = no
 
@@ -8,5 +9,5 @@
 
 # A lista de dominios que esta maquina considera seu destino final.
-mydestination = $myhostname, localhost.$mydomain, DOMAIN
+mydestination = $mydomain, $myhostname, expresso.$mydomain
 
 recipient_delimiter = + 
Index: /trunk/INSTALL/rhel/6/etc/imapd.conf
===================================================================
--- /trunk/INSTALL/rhel/6/etc/imapd.conf	(revision 5802)
+++ /trunk/INSTALL/rhel/6/etc/imapd.conf	(revision 8137)
@@ -9,5 +9,4 @@
 sasl_mech_list: LOGIN PLAIN
 allowplaintext: yes
-auxprop_plugin: ldapdb
 
 tls_cert_file: /etc/pki/cyrus-imapd/cyrus-imapd.pem
Index: /trunk/prototype/config/OpenLDAP.srv
===================================================================
--- /trunk/prototype/config/OpenLDAP.srv	(revision 7731)
+++ /trunk/prototype/config/OpenLDAP.srv	(revision 8137)
@@ -4,5 +4,5 @@
 idAtribute = "uidNumber"
 host = 127.0.0.1
-context = "LDAP_DN"
+context = "dc=prognus,dc=com,dc=br"
 ; Caso o LDAP requisite autenticacao, configure os parametros a seguir
 ;user = 