Index: /trunk/phpgwapi/setup/tables_baseline.inc.php
===================================================================
--- /trunk/phpgwapi/setup/tables_baseline.inc.php	(revision 2)
+++ /trunk/phpgwapi/setup/tables_baseline.inc.php	(revision 8142)
@@ -108,5 +108,5 @@
 				'sessionid' => array('type' => 'varchar', 'precision' => 30),
 				'loginid' => array('type' => 'varchar', 'precision' => 30),
-				'ip' => array('type' => 'varchar', 'precision' => 30),
+				'ip' => array('type' => 'varchar', 'precision' => 255),
 				'li' => array('type' => 'int', 'precision' => 4),
 				'lo' => array('type' => 'int', 'precision' => 4)
Index: /trunk/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /trunk/phpgwapi/setup/tables_update.inc.php	(revision 7909)
+++ /trunk/phpgwapi/setup/tables_update.inc.php	(revision 8142)
@@ -20,5 +20,4 @@
 		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '1.0.0.008';
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
-
 	}
 	
@@ -28,5 +27,4 @@
 		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.0.pre-alpha';
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
-
 	}
 
@@ -179,6 +177,6 @@
     function phpgwapi_upgrade2_4_2()
     {
-            $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.0';
-            return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+        $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['phpgwapi']['currentver'];
     }
 
@@ -186,11 +184,44 @@
 	function phpgwapi_upgrade2_5_0()
 	{
-	        $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.1';
-	        global $setup_info,$phpgw_setup;
-	        $phpgw_setup->oProc->query("ALTER TABLE phpgw_access_log ALTER COLUMN ip TYPE character varying(255) ");
-
-	        return $GLOBALS['setup_info']['phpgwapi']['currentver'];
-	}
-    
-
+        $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.1';
+        global $setup_info,$phpgw_setup;
+        $phpgw_setup->oProc->query("ALTER TABLE phpgw_access_log ALTER COLUMN ip TYPE character varying(255) ");
+
+        return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+
+    $test[] = '2.5.1';
+    function phpgwapi_upgrade2_5_1()
+    {
+        global $phpgw_setup;
+
+        $phpgw_setup->oProc->query( 'select * from information_schema.tables where table_name= \'phpgw_vfs\'');
+        if( !$phpgw_setup->oProc->next_record() )
+        {
+            $phpgw_setup->oProc->CreateTable('phpgw_vfs', array(
+                'fd' => array(
+                    'file_id' => array('type' => 'auto','nullable' => False),
+                    'owner_id' => array('type' => 'int','precision' => '4','nullable' => False),
+                    'createdby_id' => array('type' => 'int','precision' => '4'),
+                    'modifiedby_id' => array('type' => 'int','precision' => '4'),
+                    'created' => array('type' => 'timestamp','nullable' => False,'default' => '1970-01-01'),
+                    'modified' => array('type' => 'timestamp'),
+                    'size' => array('type' => 'int','precision' => '4'),
+                    'mime_type' => array('type' => 'varchar','precision' => '64'),
+                    'deleteable' => array('type' => 'char','precision' => '1','default' => 'Y'),
+                    'comment' => array('type' => 'varchar','precision' => '255'),
+                    'app' => array('type' => 'varchar','precision' => '25'),
+                    'directory' => array('type' => 'varchar','precision' => '255'),
+                    'name' => array('type' => 'varchar','precision' => '128','nullable' => False),
+                    'link_directory' => array('type' => 'varchar','precision' => '255'),
+                    'link_name' => array('type' => 'varchar','precision' => '128'),
+                    'version' => array('type' => 'varchar','precision' => '30','nullable' => False,'default' => '0.0.0.0'),
+                    'content' => array('type' => 'longtext')
+                )
+            ));
+        }
+
+        $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.5.1.0';
+        return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+    }
 ?>
Index: /trunk/phpgwapi/setup/setup.inc.php
===================================================================
--- /trunk/phpgwapi/setup/setup.inc.php	(revision 7909)
+++ /trunk/phpgwapi/setup/setup.inc.php	(revision 8142)
@@ -14,6 +14,6 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.5.1';
-	$setup_info['phpgwapi']['versions']['current_header'] = '2.5.0';
+	$setup_info['phpgwapi']['version']   = '2.5.1.0';
+	$setup_info['phpgwapi']['versions']['current_header'] = '2.5.1';
 	$setup_info['phpgwapi']['enable']    = 3;
 	$setup_info['phpgwapi']['app_order'] = 1;
@@ -41,6 +41,2 @@
 	$setup_info['phpgwapi']['tables'][]  = 'phpgw_history_log';
 	$setup_info['phpgwapi']['tables'][]  = 'phpgw_async';
-
-
-
-
Index: /trunk/news_admin/setup/tables_update.inc.php
===================================================================
--- /trunk/news_admin/setup/tables_update.inc.php	(revision 7516)
+++ /trunk/news_admin/setup/tables_update.inc.php	(revision 8142)
@@ -80,16 +80,23 @@
 	}
 
-    	$test[] = '2.4.1';
-    	function news_admin_upgrade2_4_1()
-    	{
-        	$GLOBALS['setup_info']['news_admin']['currentver'] = '2.4.2';
-        	return $GLOBALS['setup_info']['news_admin']['currentver'];
-    	}
+    $test[] = '2.4.1';
+    function news_admin_upgrade2_4_1()
+    {
+        $GLOBALS['setup_info']['news_admin']['currentver'] = '2.4.2';
+        return $GLOBALS['setup_info']['news_admin']['currentver'];
+    }
+
 	$test[] = '2.4.2';
-    	function news_admin_upgrade2_4_2()
-    	{
-        	$GLOBALS['setup_info']['news_admin']['currentver'] = '2.5.0';
-        	return $GLOBALS['setup_info']['news_admin']['currentver'];
-    	}
+    function news_admin_upgrade2_4_2()
+    {
+        $GLOBALS['setup_info']['news_admin']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['news_admin']['currentver'];
+    }
 
+    $test[] = '2.5.0';
+    function news_admin_upgrade2_5_0()
+    {
+        $GLOBALS['setup_info']['news_admin']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['news_admin']['currentver'];
+    }
 ?>
Index: /trunk/news_admin/setup/setup.inc.php
===================================================================
--- /trunk/news_admin/setup/setup.inc.php	(revision 7516)
+++ /trunk/news_admin/setup/setup.inc.php	(revision 8142)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.5.0';
+	$setup_info['news_admin']['version']   = '2.5.1';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
@@ -31,5 +31,5 @@
 	$setup_info['news_admin']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.5.0')
+		 'versions' => Array('2.5.1.1')
 	);
 
Index: /trunk/reports/setup/setup.inc.php
===================================================================
--- /trunk/reports/setup/setup.inc.php	(revision 7516)
+++ /trunk/reports/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 	$setup_info['reports']['title']     	= 'Expresso Reports';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['reports']['version']   	= '2.5.0';
+	$setup_info['reports']['version']   	= '2.5.1';
 	$setup_info['reports']['app_order']	= 17;
 	$setup_info['reports']['tables']    = '';
@@ -41,5 +41,5 @@
 	$setup_info['reports']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/header.inc.php.template
===================================================================
--- /trunk/header.inc.php.template	(revision 7503)
+++ /trunk/header.inc.php.template	(revision 8142)
@@ -119,5 +119,5 @@
 	$GLOBALS['phpgw_info']['server']['versions']['current_header'] = $setup_info['phpgwapi']['versions']['current_header'];
 	unset($setup_info);
-	$GLOBALS['phpgw_info']['server']['versions']['header'] = '2.5.0';
+	$GLOBALS['phpgw_info']['server']['versions']['header'] = '2.5.1';
 	/* This is a fix for NT */
 	if(!isset($GLOBALS['phpgw_info']['flags']['noapi']) || !$GLOBALS['phpgw_info']['flags']['noapi'] == True)
Index: /trunk/mobile/setup/setup.inc.php
===================================================================
--- /trunk/mobile/setup/setup.inc.php	(revision 7516)
+++ /trunk/mobile/setup/setup.inc.php	(revision 8142)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.5.0';
+	$setup_info['mobile']['version']   = '2.5.1';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
@@ -39,5 +39,5 @@
 	$setup_info['mobile']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/zpush/setup/setup.inc.php
===================================================================
--- /trunk/zpush/setup/setup.inc.php	(revision 7589)
+++ /trunk/zpush/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 	$setup_info['zpush']['title']     	= 'Z-Push' ;
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['zpush']['version']   	= '2.5.0';
+	$setup_info['zpush']['version']   	= '2.5.1';
 	$setup_info['zpush']['app_order']	= 10;
 
Index: /trunk/filemanager/setup/setup.inc.php
===================================================================
--- /trunk/filemanager/setup/setup.inc.php	(revision 7516)
+++ /trunk/filemanager/setup/setup.inc.php	(revision 8142)
@@ -14,5 +14,5 @@
 	$setup_info['filemanager']['name']    = 'filemanager';
 	$setup_info['filemanager']['title']   = 'Filemanager';
-	$setup_info['filemanager']['version'] = '2.5.0';
+	$setup_info['filemanager']['version'] = '2.5.1';
 	$setup_info['filemanager']['app_order'] = 6;
 	$setup_info['filemanager']['enable']  = 1;
@@ -28,5 +28,4 @@
     $setup_info['filemanager']['maintainer'] .= 'Coordenador do Projeto : Nilton Emilio Buhrer Neto<br/><br/>';	
 
-	$setup_info['filemanager']['tables'][] = 'phpgw_vfs';
     $setup_info['filemanager']['tables'][] = 'phpgw_vfs_quota';
 	$setup_info['filemanager']['tables'][] = 'phpgw_filemanager_notification';
@@ -48,5 +47,5 @@
 	(
 		 'appname' => 'phpgwapi',
-		 'versions' => array('2.5.0')
+		 'versions' => array('2.5.1.1')
 	);
 ?>
Index: /trunk/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 7655)
+++ /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 8142)
@@ -339,8 +339,15 @@
 	}
 	$test[] = '2.4.2';
-        function expressoAdmin1_2_upgrade2_4_2()
-        {
-                $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.5.0';
-                return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-        }
+    function expressoAdmin1_2_upgrade2_4_2()
+    {
+            $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.5.0';
+            return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function expressoAdmin1_2_upgrade2_5_0()
+    {
+        $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+    }
 ?>
Index: /trunk/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 7516)
+++ /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.5.0';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.5.1';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
@@ -37,5 +37,5 @@
 	$setup_info['expressoAdmin1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/listAdmin/setup/setup.inc.php
===================================================================
--- /trunk/listAdmin/setup/setup.inc.php	(revision 7516)
+++ /trunk/listAdmin/setup/setup.inc.php	(revision 8142)
@@ -9,5 +9,5 @@
 	$setup_info['listAdmin']['name'] = 'listAdmin';
 	$setup_info['listAdmin']['title'] = 'Mailman Admin';
-	$setup_info['listAdmin']['version'] = '2.5.0';
+	$setup_info['listAdmin']['version'] = '2.5.1';
 	$setup_info['listAdmin']['app_order'] = 10;
 	$setup_info['listAdmin']['enable'] = 1;
@@ -30,5 +30,5 @@
 	$setup_info['listAdmin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.0','2.1','2.2','2.4', '2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/admin/setup/setup.inc.php
===================================================================
--- /trunk/admin/setup/setup.inc.php	(revision 7516)
+++ /trunk/admin/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 	$setup_info['admin']['name']      = 'admin';
 	$setup_info['admin']['title']      = 'Admin';
-	$setup_info['admin']['version']   = '2.5.0';
+	$setup_info['admin']['version']   = '2.5.1';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
@@ -48,5 +48,5 @@
 	$setup_info['admin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/help/setup/setup.inc.php
===================================================================
--- /trunk/help/setup/setup.inc.php	(revision 7517)
+++ /trunk/help/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '2.5.0';
+	$setup_info['help']['version']   = '2.5.1';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 2;	// Invisible on top (navigation bar)
@@ -26,5 +26,5 @@
 	$setup_info['help']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.5.0')
+		 'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /trunk/jabberit_messenger/setup/setup.inc.php	(revision 7516)
+++ /trunk/jabberit_messenger/setup/setup.inc.php	(revision 8142)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.5.0';
+	$setup_info['jabberit_messenger']['version']   	= '2.5.1';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
@@ -27,5 +27,5 @@
 	$setup_info['jabberit_messenger']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/contactcenter/setup/tables_update.inc.php
===================================================================
--- /trunk/contactcenter/setup/tables_update.inc.php	(revision 7516)
+++ /trunk/contactcenter/setup/tables_update.inc.php	(revision 8142)
@@ -100,7 +100,13 @@
     	}
 	$test[] = '2.4.2';
-    	function contactcenter_upgrade2_4_2() {
-        	$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.5.0';
-        	return $GLOBALS['setup_info']['contactcenter']['currentver'];
-    	}
+    function contactcenter_upgrade2_4_2() {
+        $GLOBALS['setup_info']['contactcenter']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['contactcenter']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function contactcenter_upgrade2_5_0() {
+        $GLOBALS['setup_info']['contactcenter']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['contactcenter']['currentver'];
+    }
 ?>
Index: /trunk/contactcenter/setup/setup.inc.php
===================================================================
--- /trunk/contactcenter/setup/setup.inc.php	(revision 7516)
+++ /trunk/contactcenter/setup/setup.inc.php	(revision 8142)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.5.0';
+	$setup_info['contactcenter']['version']   = '2.5.1';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
@@ -77,5 +77,5 @@
 	$setup_info['contactcenter']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/emailadmin/setup/tables_update.inc.php
===================================================================
--- /trunk/emailadmin/setup/tables_update.inc.php	(revision 7516)
+++ /trunk/emailadmin/setup/tables_update.inc.php	(revision 8142)
@@ -142,10 +142,17 @@
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
-	$test[] = '2.4.2';
-	function emailadmin_upgrade2_4_2()
-	{
-      		$GLOBALS['setup_info']['emailadmin']['currentver'] = '2.5.0';
-      		return $GLOBALS['setup_info']['emailadmin']['currentver'];
-	}
+    $test[] = '2.4.2';
+    function emailadmin_upgrade2_4_2()
+    {
+            $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.5.0';
+            return $GLOBALS['setup_info']['emailadmin']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function emailadmin_upgrade2_5_0()
+    {
+        $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['emailadmin']['currentver'];
+    }
 
 ?>
Index: /trunk/emailadmin/setup/setup.inc.php
===================================================================
--- /trunk/emailadmin/setup/setup.inc.php	(revision 7516)
+++ /trunk/emailadmin/setup/setup.inc.php	(revision 8142)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '2.5.0';
+	$setup_info['emailadmin']['version']   = '2.5.1';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
@@ -40,5 +40,5 @@
 	$setup_info['emailadmin']['depends'][] = array(
 		'appname'  => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 
Index: /trunk/preferences/setup/setup.inc.php
===================================================================
--- /trunk/preferences/setup/setup.inc.php	(revision 7516)
+++ /trunk/preferences/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '2.5.0';
+	$setup_info['preferences']['version']   = '2.5.1';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
@@ -28,5 +28,5 @@
 	$setup_info['preferences']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: /trunk/workflow/setup/tables_update.inc.php
===================================================================
--- /trunk/workflow/setup/tables_update.inc.php	(revision 7516)
+++ /trunk/workflow/setup/tables_update.inc.php	(revision 8142)
@@ -360,10 +360,18 @@
         return $GLOBALS['setup_info']['workflow']['currentver'];
     }
-	$test[] = '2.4.2';
-    	function workflow_upgrade2_4_2()
-    	{
-        	$GLOBALS['setup_info']['workflow']['currentver'] = '2.5.0';
-        	return $GLOBALS['setup_info']['workflow']['currentver'];
-    	}
+
+    $test[] = '2.4.2';
+    function workflow_upgrade2_4_2()
+    {
+        $GLOBALS['setup_info']['workflow']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['workflow']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function workflow_upgrade2_5_0()
+    {
+        $GLOBALS['setup_info']['workflow']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['workflow']['currentver'];
+    }
 
 
Index: /trunk/workflow/setup/setup.inc.php
===================================================================
--- /trunk/workflow/setup/setup.inc.php	(revision 7516)
+++ /trunk/workflow/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 	$setup_info['workflow']['name']			= 'workflow';
 	$setup_info['workflow']['title']		= 'Workflow Management';
-	$setup_info['workflow']['version']		= '2.5.0';
+	$setup_info['workflow']['version']		= '2.5.1';
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
@@ -59,9 +59,9 @@
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('1.2', '2.0', '2.2', '2.4', '2.5')
+		'versions' => Array('2.5.1.1')
 	);
 	$setup_info['workflow']['depends'][] = array(
 		'appname' => 'preferences',
-		'versions' => Array('0.9.13.002', '2.0', '2.2', '2.5.0')
+		'versions' => Array('2.5.1')
 	);
 ?>
Index: /trunk/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 7516)
+++ /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 8142)
@@ -330,8 +330,13 @@
 
 	$test[] = '2.4.8.2';
-    	function expressoMail1_2_upgrade2_4_8_2() {
-        	$GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '2.5.0';
-        	return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
-    	}
-
+    function expressoMail1_2_upgrade2_4_8_2() {
+        $GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '2.5.0';
+        return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function expressoMail1_2_upgrade2_5_0() {
+        $GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
+    }
 ?>
Index: /trunk/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/setup.inc.php	(revision 7516)
+++ /trunk/expressoMail1_2/setup/setup.inc.php	(revision 8142)
@@ -13,5 +13,5 @@
 $setup_info['expressoMail1_2']['name'] = 'expressoMail1_2';
 $setup_info['expressoMail1_2']['title'] = 'Expresso Mail';
-$setup_info['expressoMail1_2']['version'] = '2.5.0';
+$setup_info['expressoMail1_2']['version'] = '2.5.1';
 $setup_info['expressoMail1_2']['app_order'] = 2;
 $setup_info['expressoMail1_2']['tables'][] = 'phpgw_certificados';
@@ -46,5 +46,5 @@
 $setup_info['expressoMail1_2']['depends'][] = array(
     'appname' => 'phpgwapi',
-    'versions' => Array('2.5.0')
+    'versions' => Array('2.5.1.1')
 );
 